import request from '@/utils/request'

//巡检计划-计划安排总览
export function getPlanOverview(params) {
    return request({
        url: '/check/largeScreen/planOverview',
        method: 'get',
        params: params
    })
}


//巡检计划-日常任务检查指标累积分布
export function getDailyTaskMetrics(params) {
    return request({
        url: '/check/largeScreen/planDistribution',
        method: 'get',
        params: params
    })
}

//巡检计划-任务明细统计表
export function getTaskDetailStats(params) {
    return request({
        url: '/check/largeScreen/planStatistics',
        method: 'get',
        params: params
    })
}

//问题发现-总体问题分布
export function getProblemDistribution(params) {
    return request({
        url: '/check/largeScreen/problemDistribution',
        method: 'get',
        params: params
    })
}

//问题发现-问题分布对比
export function getProblemDistributionComparison(params) {
    return request({
        url: '/check/largeScreen/problemComparison',
        method: 'get',
        params: params
    })
}

//问题发现-通道面貌-问题对比
export function getChannelProblemComparison(params) {
    return request({
        url: '/check/largeScreen/problemComparisonTwo',
        method: 'get',
        params: params
    })
}

//问题发现-通道面貌-问题趋势
export function getChannelProblemTrend(params) {
    return request({
        url: '/check/largeScreen/problemTrend',
        method: 'get',
        params: params
    })
}

//问题整改-整改状态总计
export function getRectificationStatusTotal(params) {
    return request({
        url: '/check/largeScreen/correction',
        method: 'get',
        params: params
    })
}

//问题整改-整改状态分布-科级对比
export function getRectificationStatusComparison(params) {
    return request({
        url: '/check/largeScreen/correctionDistribution',
        method: 'get',
        params: params
    })
}

//巡检执行
export function getExecutionStatusTotal(params) {
    return request({
        url: '/check/largeScreen/inspectionExecute',
        method: 'get',
        params: params
    })
}
